NPPPCTL(8)

NAME
npppctl - control npppd

SYNOPSIS
npppctl [-n] [-s socket] command [argument ...]

DESCRIPTION
The npppctl utility controls the npppd(8) daemon.

The options are as follows:

-n  Show IP addresses instead of their hostnames.

-s socket
    Use socket instead of the default /var/run/npppd.sock to communicate with npppd(8).

The following commands are available:

clear all | filter ...
    Disconnect PPP sessions. If filter is specified, only matching PPP sessions are disconnected. If all is specified, all PPP sessions are disconnected. See session all for the types of filter.

monitor all | filter ...
    Monitor start and stop of PPP sessions. If filter is specified, only matching PPP sessions are monitored. If all is specified, all PPP sessions are monitored. See session all for the types of filter.

session all [filter ...]
    Show detailed information for PPP sessions. If filter is specified, only matching PPP sessions are shown; otherwise all PPP sessions are shown. The following filters are available:

    address ip_address
        Show or clear PPP sessions whose IP address match ip_address.

    interface interface_name
        Show or clear PPP sessions that use the interface specified by interface_name.

    ppp-id id
        Show or clear PPP sessions whose Ppp-Id match id.

    protocol protocol
        Show or clear PPP sessions that use the tunneling protocol specified by protocol.

    realm realm_name
        Show or clear PPP sessions whose realm match the specified realm_name.

    username username
        Show or clear PPP sessions whose username match username.

session brief
    Show brief information for all PPP sessions.

session packets
    Show I/O statistics for all PPP sessions.

HISTORY
The npppctl program first appeared in OpenBSD 5.3.

AUTHORS
The npppctl program was written by Internet Initiative Japan Inc.